#
# crash core analysis suite
#
Summary: ptdump extension module for the crash utility
Name: crash-ptdump-command
Version: 1.0.3
Release: 1%{?dist}
License: GPLv2
Group: Development/Debuggers
Source: ptdump-%{version}.tar.gz
URL: http://people.redhat.com/anderson/extensions/ptdump-%{version}.tar.gz
ExclusiveOS: Linux
ExclusiveArch: x86_64
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: crash-devel >= 5.1.5
Requires: crash >= 5.1.5

%description
Retrieve and decode the log buffer generated by the Intel(R) Processor
Trace facility

%prep
%setup -q -n ptdump-%{version}

%build
make -f ptdump.mk

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_libdir}/crash/extensions/
cp %{_builddir}/ptdump-%{version}/ptdump.so %{buildroot}%{_libdir}/crash/extensions/

%clean
rm -rf %{buildroot}
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/crash/extensions/ptdump.so
%doc COPYING

%changelog
* Tue Mar 15 2016 Dave Anderson <anderson@redhat.com> - 1.0.3-1.el7
- Fix for coverity scan issues generated by 1.0.2
  Resolves: rhbz#1298172

* Mon Mar 14 2016 Dave Anderson <anderson@redhat.com> - 1.0.2-1.el7
- Memory leak fix and coverity scan fixes.
  Resolves: rhbz#1298172

* Mon Feb 29 2016 Dave Anderson <anderson@redhat.com> - 1.0.1-1.el7
- Initial check-in.
  Resolves: rhbz#1298172

* Tue Jan 26 2016 MUNEDA Takahiro <muneda.takahiro@jp.fujitsu.com> - 1.0.1-1
- Initial crash-ptdump-command package
